/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.general.desktop.mouse;

import java.awt.Cursor;

/**
 *
 * @author Usuario
 */
public class AvailableCursors
{
	public static final Cursor _defaultCursor = new Cursor( Cursor.DEFAULT_CURSOR );
	public static final Cursor _handCursor = new Cursor( Cursor.HAND_CURSOR );
	public static final Cursor _waitCursor = new Cursor( Cursor.WAIT_CURSOR );
	public static final Cursor _textCursor = new Cursor( Cursor.TEXT_CURSOR );
	public static final Cursor _crossHairCursor = new Cursor( Cursor.CROSSHAIR_CURSOR );
	public static final Cursor _eResizeCursor = new Cursor( Cursor.E_RESIZE_CURSOR );
	public static final Cursor _seResizeCursor = new Cursor( Cursor.SE_RESIZE_CURSOR );
	public static final Cursor _sResizeCursor = new Cursor( Cursor.S_RESIZE_CURSOR );
	public static final Cursor _swResizeCursor = new Cursor( Cursor.SW_RESIZE_CURSOR );
	public static final Cursor _wResizeCursor = new Cursor( Cursor.W_RESIZE_CURSOR );
	public static final Cursor _nwResizeCursor = new Cursor( Cursor.NW_RESIZE_CURSOR );
	public static final Cursor _nResizeCursor = new Cursor( Cursor.N_RESIZE_CURSOR );
	public static final Cursor _neResizeCursor = new Cursor( Cursor.NE_RESIZE_CURSOR );
}
